%define		varpath		/var/lib/games/tome/

Name:		tome
Version: 	2.3.1
Release: 	alt1

Packager:	Alexey Voinov <voins@altlinux.ru>

Summary:	Troubles of Middle Earth
License:	Moria/Angband license
Group:		Games/Adventure
Source:		%name-231-src.tar.bz2
Patch:		%name-2.2.6-alt-make.patch
URL:		http://t-o-m-e.net/

BuildPreReq: rpm-build >= 4.0.4-alt10, autoconf, automake

# Automatically added by buildreq on Tue Jan 11 2005
BuildRequires: libncurses-devel libtinfo-devel xorg-x11-devel xorg-x11-libs

%description
ToME is a popular descendant of Moria/Angband. ToME has many unique features
that set it apart from other Angband/Moria descendants, with a nice mix of
races/classes available.

%prep
%setup -q -n %name-231-src
%patch -p1

%build
cd src
make -f makefile.std COPTS="$RPM_OPT_FLAGS" \
	DEFINES="-DUSE_X11 -DUSE_GCU -DUSE_EGO_GRAPHICS -DUSE_TRANSPARENCY -DSUPPORT_GAMMA -DUSE_PRECISE_CMOVIE -DUSE_UNIXSOCK" \
	LIBS="-lX11 -L/usr/X11R6/lib -lncurses" \
	LIBDIR=%varpath

%install
cd src
make -f makefile.std install DESTDIR="$RPM_BUILD_ROOT" \
	BINDIR=%prefix/games/ \
	LIBDIR=%varpath
find $RPM_BUILD_ROOT -name delete.me -exec rm -f '{}' ';'
touch $RPM_BUILD_ROOT%varpath/apex/scores.raw

%post
%update_menus

%preun
if [ -d %varpath/data/ ]; then
	rm -rf %varpath/data/*
fi

%postun
%clean_menus

%files
%doc changes.txt
%attr(02711,games,games) %prefix/games/%name
%attr(0775,games,games) %dir %varpath/apex/
%attr(0664,games,games) %config(noreplace) %varpath/apex/*
%attr(0070,games,games) %varpath/bone/
%attr(0755,games,games) %varpath/cmov/
%attr(0755,games,games) %varpath/core/
%attr(0775,games,games) %varpath/data/
%attr(0755,games,games) %varpath/dngn/
%attr(0755,games,games) %varpath/edit/
%attr(0755,games,games) %varpath/file/
%attr(0755,games,games) %varpath/help/
%attr(0755,games,games) %varpath/info/
%attr(0755,games,games) %varpath/mods/
%attr(0755,games,games) %varpath/note/
%attr(0755,games,games) %varpath/patch/
%attr(0755,games,games) %varpath/pref/
%attr(0070,games,games) %varpath/save/
%attr(0755,games,games) %varpath/scpt/
%attr(0777,games,games) %varpath/user/
%attr(0755,games,games) %varpath/xtra/
#%varpath/apex/
#%varpath/bone/
#%varpath/cmov/
#%varpath/core/
#%varpath/data/
#%varpath/dngn/
#%varpath/edit/
#%varpath/file/
#%varpath/help/
#%varpath/info/
#%varpath/mods/
#%varpath/note/
#%varpath/patch/
#%varpath/pref/
#%varpath/save/
#%varpath/scpt/
#%varpath/user/
#%varpath/xtra/
%varpath/module.lua

%changelog
* Tue Jan 11 2005 Alexey Voinov <voins@altlinux.ru> 2.3.1-alt1
- new version(2.3.1)
- buildreqs updated

* Thu Dec 16 2004 Alexey Voinov <voins@altlinux.ru> 2.3.0-alt1
- new version(2.3.0)

* Wed Aug 04 2004 Alexey Voinov <voins@altlinux.ru> 2.2.7-alt1
- new version(2.2.7)

* Tue Mar 09 2004 Alexey Voinov <voins@altlinux.ru> 2.2.6-alt1
- initial build

